package com.airson.alive.model;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

/**
 * Created by sachit on 5/6/18.
 */

public class MedicalIDsResponseModel {

    @SerializedName("error")
    boolean error;
    @SerializedName("data")
    ArrayList<MedicalIDDataSetFields> medicalArray;
    @SerializedName("message")
    String message;

    public static class MedicalIDDataSetFields {

        @SerializedName("mid")
        String mid;
        @SerializedName("first_name")
        String firstName;
        @SerializedName("second_name")
        String secondName;
        @SerializedName("last_name")
        String lastName;
        @SerializedName("gender")
        String gender;
        @SerializedName("dob")
        String dob;
        @SerializedName("email")
        String email;
        @SerializedName("relation")
        String relation;
        @SerializedName("mobile")
        String mobile;
        @SerializedName("image")
        String image;

        public String getMid() {
            return mid;
        }

        public void setMid(String mid) {
            this.mid = mid;
        }

        public String getFirstName() {
            return firstName;
        }

        public void setFirstName(String firstName) {
            this.firstName = firstName;
        }

        public String getSecondName() {
            return secondName;
        }

        public void setSecondName(String secondName) {
            this.secondName = secondName;
        }

        public String getLastName() {
            return lastName;
        }

        public void setLastName(String lastName) {
            this.lastName = lastName;
        }

        public String getGender() {
            return gender;
        }

        public void setGender(String gender) {
            this.gender = gender;
        }

        public String getDob() {
            return dob;
        }

        public void setDob(String dob) {
            this.dob = dob;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public String getRelation() {
            return relation;
        }

        public void setRelation(String relation) {
            this.relation = relation;
        }

        public String getMobile() {
            return mobile;
        }

        public void setMobile(String mobile) {
            this.mobile = mobile;
        }

        public String getImage() {
            return image;
        }

        public void setImage(String image) {
            this.image = image;
        }
    }

    public boolean isError() {
        return error;
    }

    public void setError(boolean error) {
        this.error = error;
    }

    public ArrayList<MedicalIDDataSetFields> getMedicalArray() {
        return medicalArray;
    }

    public void setMedicalArray(ArrayList<MedicalIDDataSetFields> medicalArray) {
        this.medicalArray = medicalArray;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
